# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

# NOTE! THIS FILE IS AUTOMATICALLY GENERATED AND WILL BE OVERWRITTEN!
#
# IF YOU WANT TO MODIFY THIS FILE, YOU SHOULD MODIFY THE TEMPLATE
# `get_provider_info_TEMPLATE.py.jinja2` IN the `dev/breeze/src/airflow_breeze/templates` DIRECTORY


def get_provider_info():
    return {
        "package-name": "apache-airflow-providers-apache-tinkerpop",
        "name": "Apache TinkerPop",
        "description": "`Apache TinkerPop <https://tinkerpop.apache.org/>`__.\nApache TinkerPop is a graph computing framework for both graph databases (OLTP) and graph analytic\nsystems (OLAP) and Gremlin is its graph traversal language.\n",
        "integrations": [
            {
                "integration-name": "Apache TinkerPop",
                "external-doc-url": "https://tinkerpop.apache.org/",
                "how-to-guide": ["/docs/apache-airflow-providers-apache-tinkerpop/operators/tinkerpop.rst"],
                "tags": ["apache"],
            }
        ],
        "operators": [
            {
                "integration-name": "Apache TinkerPop",
                "python-modules": ["airflow.providers.apache.tinkerpop.operators.gremlin"],
            }
        ],
        "hooks": [
            {
                "integration-name": "Apache TinkerPop",
                "python-modules": ["airflow.providers.apache.tinkerpop.hooks.gremlin"],
            }
        ],
        "connection-types": [
            {
                "hook-class-name": "airflow.providers.apache.tinkerpop.hooks.gremlin.GremlinHook",
                "connection-type": "gremlin",
            }
        ],
    }
